RUMP.DHCPCLIENT(1)

NAME
rump.dhcpclient - simple dhcp client for rump kernels

SYNOPSIS
rump.dhcpclient ifname

DESCRIPTION
The rump.dhcpclient utility is a very simple DHCP client which can be used to apply networking configuration on one interface in a rump kernel. Unlike full DHCP clients, rump.dhcpclient does not store leases or renew expired leases. The reason for this is the typical transient nature of a rump kernel. Additionally, rump.dhcpclient does not save DNS resolver information.

After having successfully configured networking, rump.dhcpclient prints out the networking configuration and lease time and exits.

Since rump.dhcpclient uses bpf(4) to send and receive raw network packets, the server must include support for bpf and vfs (for opening /dev/bpf). Otherwise, the following diagnostic message is printed:

    rump.dhcpclient: bpf: Function not implemented

SEE ALSO
rump_server(1), bpf(4)

CAVEATS
There is no easy way to release a lease.